Skip to main content
`Ctrl`+`K`

# PetscMemTypeHIP

Returns `PETSC_TRUE` if a given `PetscMemType` refers to HIP device memory

## Synopsis

    #include <petscdevicetypes.h>
    PetscBool PetscMemTypeHIP(PetscMemType m)

Not Collective; No Fortran Support

## Input Parameter

- m - the `PetscMemType` value

## See Also

`PetscMemType`, `PetscMemTypeDevice()`, `PetscMemTypeCUDA()`, `PetscMemTypeSYCL()`, `PetscMemTypeNVSHMEM()`

## Level

intermediate

## Location

include/petscdevicetypes.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages